Bug 249772 - sysutils/ganglia-monitor-core: depends on python 2.x
Summary: sysutils/ganglia-monitor-core: depends on python 2.x
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jason W. Bacon
URL:
Keywords:
Depends on:
Blocks: 249337
  Show dependency treegraph
 
Reported: 2020-09-24 16:35 UTC by Steve Wills
Modified: 2020-10-01 18:02 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (jwb)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2020-09-24 16:35:26 UTC
This port will be removed on 2020-12-31 if not fixed
Comment 1 commit-hook freebsd_committer 2020-10-01 18:01:24 UTC
A commit references this bug:

Author: jwb
Date: Thu Oct  1 18:00:59 UTC 2020
New revision: 550854
URL: https://svnweb.freebsd.org/changeset/ports/550854

Log:
  sysutils/ganglia-monitor-core: Upgrade to 3.7.2, disable python modules

  Ganglia python modules require python 2.x, which is being removed from
  the ports tree.  Ganglia is no longer being developed upstream and upgrading
  to python 3 appears to be fairly involved.  Hence, I'm disabling python
  modules in order to keep the port alive through the python 2 removal.

  PR:             249772
  Reported by:    swills

Changes:
  head/sysutils/ganglia-monitor-core/Makefile
  head/sysutils/ganglia-monitor-core/distinfo
  head/sysutils/ganglia-monitor-core/files/patch-gmetad_Makefile.in
  head/sysutils/ganglia-monitor-core/files/patch-gmetad_conf.c.in
  head/sysutils/ganglia-monitor-core/files/patch-gmond_modules_conf.d_modpython.conf.in
  head/sysutils/ganglia-monitor-core/files/patch-gmond_modules_python_Makefile.in
  head/sysutils/ganglia-monitor-core/files/patch-lib_default__conf.h.in
  head/sysutils/ganglia-monitor-core/files/patch-libmetrics_freebsd_metrics.c
  head/sysutils/ganglia-monitor-core/pkg-plist